Skip to main content
`Ctrl`+`K`

# TSGLLESetType

sets the class of general linear method, `TSGLLE` to use for time-stepping

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGLLESetType(TS ts, TSGLLEType type)

Collective

## Input Parameters

- ts - the `TS` context

- type - a method, currently only `TSGLLE_IRKS` is available

## Options Database Key

- -ts_gl_type (irks) - sets the method

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGLLEType`, `TSGLLE`, `TSGLLERegister()`, `TSGLLE_IRKS`, `TSGLLEGetAcceptType()`, `TSGLLESetAcceptType()`, `TSGLLEAcceptType()`

## Level

intermediate

## Location

src/ts/impls/implicit/glle/glle.c

## Implementations

TSGLLESetType_GLLE() in src/ts/impls/implicit/glle/glle.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages